## ros-noetic-fkie-node-manager-daemon 1.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fkie_node_manager_daemon)

# python -m grpc_tools.protoc -Iprotos --python_out=./src/fkie_node_manager_daemon/. --grpc_python_out=./src/fkie_node_manager_daemon/. protos/launch_manager.proto 
# python -m grpc_tools.protoc -Iprotos --python_out=./src/fkie_node_manager_daemon/. --grpc_python_out=./src/fkie_node_manager_daemon/. protos/launch_manager_client.proto

find_package(catkin REQUIRED COMPONENTS
  diagnostic_msgs
  fkie_multimaster_msgs
  roslaunch
  rospy
)

catkin_python_setup()
catkin_package()
# generate version files; cmake from multimaster_msgs
generate_version(TARGETS version_TARGETS)


#############
## Install ##
#############

catkin_install_python(
    PROGRAMS 
        nodes/node_manager_daemon
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
    DIRECTORY
    launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
    DIRECTORY
    tests/resources
    tests/resources_alt
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
)

install(
    PROGRAMS
        tests/test_grpc_server.py
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
)

# install generated version files; cmake from multimaster_msgs
if (DEFINED version_TARGETS)
    install(
        FILES
            ${version_TARGETS}
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    )
endif()

## Add folders to be run by python nosetests
if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
### Unit tests
#
#   Only run when CATKIN_ENABLE_TESTING is true.

##  Python

# Unit tests not needing a running ROS core.
catkin_add_nosetests(test_common.py)
catkin_add_nosetests(test_file_servicer.py)
catkin_add_nosetests(test_host.py)
catkin_add_nosetests(test_launch_servicer.py)
catkin_add_nosetests(test_screen.py)
catkin_add_nosetests(test_url.py)

# Unit tests using nose, but needing a running ROS core.
find_package(rostest)
if (rostest_FOUND)
  add_rostest(test_grpc_server.test)
endif()

=== doc/api/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/fkie_node_manager_daemon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/fkie_node_manager_daemon.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/fkie_node_manager_daemon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/fkie_node_manager_daemon"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ros-noetic-fkie-node-manager-daemon (1.3.2-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sat, 16 Jul 2022 22:00:00 -0000

ros-noetic-fkie-node-manager-daemon (1.3.1-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-node-manager-daemon (1.3.0-2buster) buster; urgency=high

  * fkie_node_manager_damoen: fix clear_param for group
    These parameter are now deleted on restart nodes with reload global
    parameter
  * fkie_node_manager_daemon: fix find package binaries
  * fkie_node_manager_daemon: use threads for each sensor instead of timer
  * fkie_node_manager_daemon: set GRPC_ENABLE_FORK_SUPPORT=0 by default
  * fkie_node_manager_daemon: added parameter to set grpc poll strategy and verbosity
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-node-manager-daemon (1.2.7-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 22 Jan 2021 23:00:00 -0000

ros-noetic-fkie-node-manager-daemon (1.2.6-2buster) buster; urgency=high

  * fkie_node_manager_daemon: fixed delete node's log file if no latest folder exists
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-node-manager-daemon (1.2.5-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-node-manager-daemon (1.2.4-2buster) buster; urgency=high

  * renamed 'associations' and 'kill_on_stop' parameter and add dapricated notifications
    new names: nm/associations nm/kill_on_stop
  * fkie_node_manager: fixed open echo dialog
  * fkie_node_manager: chnaged host comparison; added search for further log files
  * fkie_node_manager: show ROS log from lates folder if no one is available
  * fkie_node_manager_daemon: catch error if no net_if_stats available
  * fix for issue #138 <https://github.com/fkie/multimaster_fkie/issues/138>
  * fkie_node_manager: fixed detection of included files in 'value' tags
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 10 Nov 2020 23:00:00 -0000

ros-noetic-fkie-node-manager-daemon (1.2.0-2buster) buster; urgency=high

  * fkie_node_manager_daemon: fixed rostest
  * fkie_node_manager_daemon: fixed tests for python3
  * fkie_node_manager: fixed error message with ignore_unset_args
  * changed screen environment: do not set DISPLAY environment
  * fkie_multimaster: fixed warning for cmake_minimum_required
  * fkie_multimaster: fixed build/start in noetic
  * fkie_node_manager_daemon: changed sreen configuration on node start
  * fkie_node_manager_daemon: fixed read version with python 3
  * fkie_master_sync: send OK diagnostic message on start
  * fkie_node_manager_daemon: load global parameter which has names equal to node names
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 21 Jul 2020 22:00:00 -0000

ros-noetic-fkie-node-manager-daemon (1.1.0-2buster) buster; urgency=high

  * prepared conditions for python3  in package xml
  * fkie_multimaster_fkie: got get_local_address from rosgraph.network
  * fkie_multimaster: fixed python2 compatibility
  * fkie_multimaster: python 3 fixes
  * fkie_master_discovery: fixed usage of get local addresses
  * fkie_node_manager: tests updated
  * fkie_multimaster: a lot of merges for python 3 compatibility
  * fkie_node_manager: fixed loop starts with associations
  * fkie_node_manager: added associations parameter
  * fkie_node_manager: added a screen log widget
    alternative view of current screen output with only window
  * set on remote hosts the DISPLAY to :0
    this can be avoided by adding env parameter for DISPLAY with empty value
    to launch file
  * search also in install/devel space for included configuration files
  * fkie_node_manager_daemon: fixed show system monitor configuration after save
  * fkie_node_manager_daemon: added run service to start nodes
  * fkie_node_manager_daemon: updated arguments help
  * Merge pull request #113 <https://github.com/fkie/multimaster_fkie/issues/113> from gstavrinos/master
    Fixed GRPC typos
  * added ROS services to daemon for load (witch start nodes) launch files
  * Fixed GRPC typos
  * Merge branch 'master' of https://github.com/fkie/multimaster_fkie
  * Make rename explicit
  * fkie_node_manager_daemon: fixed resolve find in args
  * fkie_node_manager: clear package path also on remote daemons
  * fkie_node_manager_daemon: changed absolute path while remote start of nodes
  * fkie_node_manager_daemon: remove "package://" resolve while set parameter
  * Merge branch 'master' of https://github.com/fkie/multimaster_fkie
  * fkie_node_manager_daemon: fixed interpret_path for script_runner
  * fkie_node_manager: new feature, delete files/folders
    * fixed copy files
  * fkie_node_manager: fixed copy/create new files
  * fkie_node_manager_daemon: added debug output in searching for package and resource names
  * fkie_node_manager_daemon: resolve pkg references while launch on remote hosts
  * fkie_node_manager: improved search for included files
  * fkie_node_manager: editor: fixed include files which ends with '.launch.*'
  * fkie_node_manager: editor: remove block on open launch file within delayd network connection
  * fkie_node_manager: fixed some problems with 'ascii' codec
  * fkie_node_manager: fixed error prints to stderr
  * fkie_node_manager: editor: do not test argument with defined value tag
  * fkie_node_manager: editor: added test for included/setted arguments
  * fix determine include parameter
  * fkie_node_manager_daemon: added warnings for long delays while list sreens or open grpc connection
  * fkie_node_manager_daemon: fixed save behaviour on lost connection


=== debian/control ===
Source: ros-noetic-fkie-node-manager-daemon
Section: misc
Priority: optional
Maintainer: Alexander Tiderko <alexander.tiderko@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-fkie-multimaster-msgs, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-rostest <!nocheck>, screen
Homepage: https://github.com/fkie/multimaster_fkie
Standards-Version: 3.9.2

Package: ros-noetic-fkie-node-manager-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-grpc-tools, python3-grpcio, python3-psutil, python3-rospkg, python3-ruamel.yaml, ros-noetic-diagnostic-msgs, ros-noetic-fkie-master-discovery, ros-noetic-fkie-multimaster-msgs, ros-noetic-roslaunch, ros-noetic-rospy, screen
Description: A daemon node to manage ROS launch files and launch nodes from loaded files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fkie-node-manager-daemon//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
